<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://purl.oclc.org/dsdl/schematron"
    schemaVersion="iso">
  <title>Schema for UBL-Invoice-2.0; oriol</title>
  <ns uri="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2" prefix="p5"/>
  <ns uri="urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2" prefix="p4"/>
  <ns uri="urn:oasis:names:specification:ubl:schema:xsd:CommonExtensionComponents-2" prefix="p3"/>
  <ns uri="urn:oasis:names:specification:ubl:schema:xsd:Invoice-2" prefix="p2"/>
  <pattern name="Guidelines">
    <rule context="/p2:Invoice/p4:AccountingCostCode">
      <report test=".">
	Element 'p4:AccountingCostCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p4:CopyIndicator">
      <report test=".">
	Element 'p4:CopyIndicator' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p4:IssueTime">
      <report test=".">
	Element 'p4:IssueTime' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p4:LineCountNumeric">
      <report test=".">
	Element 'p4:LineCountNumeric' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p4:PaymentAlternativeCurrencyCode">
      <report test=".">
	Element 'p4:PaymentAlternativeCurrencyCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p4:PaymentCurrencyCode">
      <report test=".">
	Element 'p4:PaymentCurrencyCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p4:PricingCurrencyCode">
      <report test=".">
	Element 'p4:PricingCurrencyCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p4:TaxCurrencyCode">
      <report test=".">
	Element 'p4:TaxCurrencyCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p4:UUID">
      <report test=".">
	Element 'p4:UUID' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p4:AdditionalAccountID">
      <report test=".">
	Element 'p4:AdditionalAccountID' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p4:CustomerAssignedAccountID">
      <report test=".">
	Element 'p4:CustomerAssignedAccountID' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p4:SupplierAssignedAccountID">
      <report test=".">
	Element 'p4:SupplierAssignedAccountID' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:AccountingContact">
      <report test=".">
	Element 'p5:AccountingContact' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:BuyerContact">
      <report test=".">
	Element 'p5:BuyerContact' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:DeliveryContact">
      <report test=".">
	Element 'p5:DeliveryContact' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party">
      <assert test="count(p5:PartyIdentification)&lt;=1">
	Element 'p5:PartyIdentification' may occur at maximum 1 times.</assert>
      <assert test="count(p5:PartyName)=1">
	Element 'p5:PartyName' must occur exactly 1 times.</assert>
      <assert test="count(p5:PartyTaxScheme)&lt;=1">
	Element 'p5:PartyTaxScheme' may occur at maximum 1 times.</assert>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p4:LogoReferenceID">
      <report test=".">
	Element 'p4:LogoReferenceID' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p4:MarkAttentionIndicator">
      <report test=".">
	Element 'p4:MarkAttentionIndicator' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p4:MarkCareIndicator">
      <report test=".">
	Element 'p4:MarkCareIndicator' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p4:WebsiteURI">
      <report test=".">
	Element 'p4:WebsiteURI' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:AgentParty">
      <report test=".">
	Element 'p5:AgentParty' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:Contact/p4:ID">
      <report test=".">
	Element 'p4:ID' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:Contact/p4:Name">
      <report test=".">
	Element 'p4:Name' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:Contact/p4:Note">
      <report test=".">
	Element 'p4:Note' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:Contact/p5:OtherCommunication">
      <report test=".">
	Element 'p5:OtherCommunication' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:Language">
      <report test=".">
	Element 'p5:Language' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PartyLegalEntity/p5:CorporateRegistrationScheme">
      <report test=".">
	Element 'p5:CorporateRegistrationScheme' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:AdditionalStreetName">
      <report test=".">
	Element 'p4:AdditionalStreetName' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:AddressFormatCode">
      <report test=".">
	Element 'p4:AddressFormatCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:AddressTypeCode">
      <report test=".">
	Element 'p4:AddressTypeCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:BlockName">
      <report test=".">
	Element 'p4:BlockName' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:BuildingName">
      <report test=".">
	Element 'p4:BuildingName' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:BuildingNumber">
      <report test=".">
	Element 'p4:BuildingNumber' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:CitySubdivisionName">
      <report test=".">
	Element 'p4:CitySubdivisionName' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:CountrySubentityCode">
      <report test=".">
	Element 'p4:CountrySubentityCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:Department">
      <report test=".">
	Element 'p4:Department' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:District">
      <report test=".">
	Element 'p4:District' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:Floor">
      <report test=".">
	Element 'p4:Floor' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:ID">
      <report test=".">
	Element 'p4:ID' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:InhouseMail">
      <report test=".">
	Element 'p4:InhouseMail' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:MarkAttention">
      <report test=".">
	Element 'p4:MarkAttention' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:MarkCare">
      <report test=".">
	Element 'p4:MarkCare' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:PlotIdentification">
      <report test=".">
	Element 'p4:PlotIdentification' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:PostalZone">
      <report test=".">
	Element 'p4:PostalZone' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:Postbox">
      <report test=".">
	Element 'p4:Postbox' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:Region">
      <report test=".">
	Element 'p4:Region' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:Room">
      <report test=".">
	Element 'p4:Room' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:StreetName">
      <report test=".">
	Element 'p4:StreetName' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:TimezoneOffset">
      <report test=".">
	Element 'p4:TimezoneOffset' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p5:AddressLine">
      <report test=".">
	Element 'p5:AddressLine' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p5:Country/p4:Name">
      <report test=".">
	Element 'p4:Name' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p5:LocationCoordinate">
      <report test=".">
	Element 'p5:LocationCoordinate' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PartyTaxScheme/p4:ExemptionReason">
      <report test=".">
	Element 'p4:ExemptionReason' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PartyTaxScheme/p4:ExemptionReasonCode">
      <report test=".">
	Element 'p4:ExemptionReasonCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PartyTaxScheme/p4:RegistrationName">
      <report test=".">
	Element 'p4:RegistrationName' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PartyTaxScheme/p4:TaxLevelCode">
      <report test=".">
	Element 'p4:TaxLevelCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PartyTaxScheme/p5:RegistrationAddress">
      <report test=".">
	Element 'p5:RegistrationAddress' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PartyTaxScheme/p5:TaxScheme/p4:CurrencyCode">
      <report test=".">
	Element 'p4:CurrencyCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PartyTaxScheme/p5:TaxScheme/p4:Name">
      <report test=".">
	Element 'p4:Name' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PartyTaxScheme/p5:TaxScheme/p4:TaxTypeCode">
      <report test=".">
	Element 'p4:TaxTypeCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PartyTaxScheme/p5:TaxScheme/p5:JurisdictionRegionAddress">
      <report test=".">
	Element 'p5:JurisdictionRegionAddress' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:Person/p4:NameSuffix">
      <report test=".">
	Element 'p4:NameSuffix' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:Person/p4:OrganizationDepartment">
      <report test=".">
	Element 'p4:OrganizationDepartment' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:Person/p4:Title">
      <report test=".">
	Element 'p4:Title' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PhysicalLocation">
      <report test=".">
	Element 'p5:PhysicalLocation' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PostalAddress/p4:AddressFormatCode">
      <report test=".">
	Element 'p4:AddressFormatCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PostalAddress/p4:AddressTypeCode">
      <report test=".">
	Element 'p4:AddressTypeCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PostalAddress/p4:BlockName">
      <report test=".">
	Element 'p4:BlockName' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PostalAddress/p4:BuildingName">
      <report test=".">
	Element 'p4:BuildingName' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PostalAddress/p4:CitySubdivisionName">
      <report test=".">
	Element 'p4:CitySubdivisionName' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PostalAddress/p4:CountrySubentityCode">
      <report test=".">
	Element 'p4:CountrySubentityCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PostalAddress/p4:District">
      <report test=".">
	Element 'p4:District' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PostalAddress/p4:Floor">
      <report test=".">
	Element 'p4:Floor' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PostalAddress/p4:InhouseMail">
      <report test=".">
	Element 'p4:InhouseMail' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PostalAddress/p4:MarkAttention">
      <report test=".">
	Element 'p4:MarkAttention' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PostalAddress/p4:MarkCare">
      <report test=".">
	Element 'p4:MarkCare' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PostalAddress/p4:PlotIdentification">
      <report test=".">
	Element 'p4:PlotIdentification' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PostalAddress/p4:Region">
      <report test=".">
	Element 'p4:Region' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PostalAddress/p4:Room">
      <report test=".">
	Element 'p4:Room' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PostalAddress/p4:TimezoneOffset">
      <report test=".">
	Element 'p4:TimezoneOffset' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PostalAddress/p5:AddressLine">
      <report test=".">
	Element 'p5:AddressLine' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PostalAddress/p5:Country/p4:Name">
      <report test=".">
	Element 'p4:Name' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingCustomerParty/p5:Party/p5:PostalAddress/p5:LocationCoordinate">
      <report test=".">
	Element 'p5:LocationCoordinate' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p4:AdditionalAccountID">
      <report test=".">
	Element 'p4:AdditionalAccountID' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p4:CustomerAssignedAccountID">
      <report test=".">
	Element 'p4:CustomerAssignedAccountID' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p4:DataSendingCapability">
      <report test=".">
	Element 'p4:DataSendingCapability' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:AccountingContact">
      <report test=".">
	Element 'p5:AccountingContact' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:DespatchContact">
      <report test=".">
	Element 'p5:DespatchContact' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party">
      <assert test="count(p5:PartyIdentification)&lt;=1">
	Element 'p5:PartyIdentification' may occur at maximum 1 times.</assert>
      <assert test="count(p5:PartyName)=1">
	Element 'p5:PartyName' must occur exactly 1 times.</assert>
      <assert test="count(p5:PostalAddress)=1">
	Element 'p5:PostalAddress' must occur exactly 1 times.</assert>
      <assert test="count(p5:PartyTaxScheme)&lt;=1">
	Element 'p5:PartyTaxScheme' may occur at maximum 1 times.</assert>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p4:LogoReferenceID">
      <report test=".">
	Element 'p4:LogoReferenceID' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p4:MarkAttentionIndicator">
      <report test=".">
	Element 'p4:MarkAttentionIndicator' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p4:MarkCareIndicator">
      <report test=".">
	Element 'p4:MarkCareIndicator' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p4:WebsiteURI">
      <report test=".">
	Element 'p4:WebsiteURI' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:AgentParty">
      <report test=".">
	Element 'p5:AgentParty' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:Contact/p4:ID">
      <report test=".">
	Element 'p4:ID' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:Contact/p4:Name">
      <report test=".">
	Element 'p4:Name' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:Contact/p4:Note">
      <report test=".">
	Element 'p4:Note' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:Contact/p5:OtherCommunication">
      <report test=".">
	Element 'p5:OtherCommunication' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:Language">
      <report test=".">
	Element 'p5:Language' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PartyLegalEntity/p5:CorporateRegistrationScheme">
      <report test=".">
	Element 'p5:CorporateRegistrationScheme' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:AdditionalStreetName">
      <report test=".">
	Element 'p4:AdditionalStreetName' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:AddressFormatCode">
      <report test=".">
	Element 'p4:AddressFormatCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:AddressTypeCode">
      <report test=".">
	Element 'p4:AddressTypeCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:BlockName">
      <report test=".">
	Element 'p4:BlockName' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:BuildingName">
      <report test=".">
	Element 'p4:BuildingName' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:BuildingNumber">
      <report test=".">
	Element 'p4:BuildingNumber' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:CitySubdivisionName">
      <report test=".">
	Element 'p4:CitySubdivisionName' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:CountrySubentityCode">
      <report test=".">
	Element 'p4:CountrySubentityCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:Department">
      <report test=".">
	Element 'p4:Department' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:District">
      <report test=".">
	Element 'p4:District' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:Floor">
      <report test=".">
	Element 'p4:Floor' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:ID">
      <report test=".">
	Element 'p4:ID' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:InhouseMail">
      <report test=".">
	Element 'p4:InhouseMail' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:MarkAttention">
      <report test=".">
	Element 'p4:MarkAttention' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:MarkCare">
      <report test=".">
	Element 'p4:MarkCare' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:PlotIdentification">
      <report test=".">
	Element 'p4:PlotIdentification' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:PostalZone">
      <report test=".">
	Element 'p4:PostalZone' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:Postbox">
      <report test=".">
	Element 'p4:Postbox' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:Region">
      <report test=".">
	Element 'p4:Region' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:Room">
      <report test=".">
	Element 'p4:Room' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:StreetName">
      <report test=".">
	Element 'p4:StreetName' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p4:TimezoneOffset">
      <report test=".">
	Element 'p4:TimezoneOffset' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p5:AddressLine">
      <report test=".">
	Element 'p5:AddressLine' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p5:Country/p4:Name">
      <report test=".">
	Element 'p4:Name' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PartyLegalEntity/p5:RegistrationAddress/p5:LocationCoordinate">
      <report test=".">
	Element 'p5:LocationCoordinate' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PartyTaxScheme/p4:ExemptionReason">
      <report test=".">
	Element 'p4:ExemptionReason' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PartyTaxScheme/p4:ExemptionReasonCode">
      <report test=".">
	Element 'p4:ExemptionReasonCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PartyTaxScheme/p4:RegistrationName">
      <report test=".">
	Element 'p4:RegistrationName' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PartyTaxScheme/p4:TaxLevelCode">
      <report test=".">
	Element 'p4:TaxLevelCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PartyTaxScheme/p5:RegistrationAddress">
      <report test=".">
	Element 'p5:RegistrationAddress' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PartyTaxScheme/p5:TaxScheme/p4:CurrencyCode">
      <report test=".">
	Element 'p4:CurrencyCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PartyTaxScheme/p5:TaxScheme/p4:Name">
      <report test=".">
	Element 'p4:Name' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PartyTaxScheme/p5:TaxScheme/p4:TaxTypeCode">
      <report test=".">
	Element 'p4:TaxTypeCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PartyTaxScheme/p5:TaxScheme/p5:JurisdictionRegionAddress">
      <report test=".">
	Element 'p5:JurisdictionRegionAddress' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:Person/p4:NameSuffix">
      <report test=".">
	Element 'p4:NameSuffix' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:Person/p4:OrganizationDepartment">
      <report test=".">
	Element 'p4:OrganizationDepartment' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:Person/p4:Title">
      <report test=".">
	Element 'p4:Title' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PhysicalLocation">
      <report test=".">
	Element 'p5:PhysicalLocation' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PostalAddress/p4:AddressFormatCode">
      <report test=".">
	Element 'p4:AddressFormatCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PostalAddress/p4:AddressTypeCode">
      <report test=".">
	Element 'p4:AddressTypeCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PostalAddress/p4:BlockName">
      <report test=".">
	Element 'p4:BlockName' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PostalAddress/p4:BuildingName">
      <report test=".">
	Element 'p4:BuildingName' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PostalAddress/p4:CitySubdivisionName">
      <report test=".">
	Element 'p4:CitySubdivisionName' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PostalAddress/p4:CountrySubentityCode">
      <report test=".">
	Element 'p4:CountrySubentityCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PostalAddress/p4:District">
      <report test=".">
	Element 'p4:District' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PostalAddress/p4:Floor">
      <report test=".">
	Element 'p4:Floor' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PostalAddress/p4:InhouseMail">
      <report test=".">
	Element 'p4:InhouseMail' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PostalAddress/p4:MarkAttention">
      <report test=".">
	Element 'p4:MarkAttention' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PostalAddress/p4:MarkCare">
      <report test=".">
	Element 'p4:MarkCare' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PostalAddress/p4:PlotIdentification">
      <report test=".">
	Element 'p4:PlotIdentification' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PostalAddress/p4:Region">
      <report test=".">
	Element 'p4:Region' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PostalAddress/p4:Room">
      <report test=".">
	Element 'p4:Room' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PostalAddress/p4:TimezoneOffset">
      <report test=".">
	Element 'p4:TimezoneOffset' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PostalAddress/p5:AddressLine">
      <report test=".">
	Element 'p5:AddressLine' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PostalAddress/p5:Country/p4:Name">
      <report test=".">
	Element 'p4:Name' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:Party/p5:PostalAddress/p5:LocationCoordinate">
      <report test=".">
	Element 'p5:LocationCoordinate' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AccountingSupplierParty/p5:SellerContact">
      <report test=".">
	Element 'p5:SellerContact' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AdditionalDocumentReference/p4:CopyIndicator">
      <report test=".">
	Element 'p4:CopyIndicator' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AdditionalDocumentReference/p4:DocumentTypeCode">
      <report test=".">
	Element 'p4:DocumentTypeCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AdditionalDocumentReference/p4:IssueDate">
      <report test=".">
	Element 'p4:IssueDate' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AdditionalDocumentReference/p4:UUID">
      <report test=".">
	Element 'p4:UUID' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AdditionalDocumentReference/p4:XPath">
      <report test=".">
	Element 'p4:XPath' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AdditionalDocumentReference/p5:Attachment/p5:ExternalReference/p4:DocumentHash">
      <report test=".">
	Element 'p4:DocumentHash' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AdditionalDocumentReference/p5:Attachment/p5:ExternalReference/p4:ExpiryDate">
      <report test=".">
	Element 'p4:ExpiryDate' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AdditionalDocumentReference/p5:Attachment/p5:ExternalReference/p4:ExpiryTime">
      <report test=".">
	Element 'p4:ExpiryTime' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AllowanceCharge/p4:AccountingCost">
      <report test=".">
	Element 'p4:AccountingCost' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AllowanceCharge/p4:AccountingCostCode">
      <report test=".">
	Element 'p4:AccountingCostCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AllowanceCharge/p4:AllowanceChargeReasonCode">
      <report test=".">
	Element 'p4:AllowanceChargeReasonCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AllowanceCharge/p4:BaseAmount">
      <report test=".">
	Element 'p4:BaseAmount' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AllowanceCharge/p4:ID">
      <report test=".">
	Element 'p4:ID' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AllowanceCharge/p4:MultiplierFactorNumeric">
      <report test=".">
	Element 'p4:MultiplierFactorNumeric' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AllowanceCharge/p4:PrepaidIndicator">
      <report test=".">
	Element 'p4:PrepaidIndicator' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AllowanceCharge/p4:SequenceNumeric">
      <report test=".">
	Element 'p4:SequenceNumeric' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AllowanceCharge/p5:PaymentMeans">
      <report test=".">
	Element 'p5:PaymentMeans' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AllowanceCharge/p5:TaxCategory">
      <report test=".">
	Element 'p5:TaxCategory' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:AllowanceCharge/p5:TaxTotal">
      <report test=".">
	Element 'p5:TaxTotal' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:BillingReference">
      <report test=".">
	Element 'p5:BillingReference' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:BuyerCustomerParty">
      <report test=".">
	Element 'p5:BuyerCustomerParty' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:ContractDocumentReference/p4:CopyIndicator">
      <report test=".">
	Element 'p4:CopyIndicator' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:ContractDocumentReference/p4:DocumentTypeCode">
      <report test=".">
	Element 'p4:DocumentTypeCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:ContractDocumentReference/p4:IssueDate">
      <report test=".">
	Element 'p4:IssueDate' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:ContractDocumentReference/p4:UUID">
      <report test=".">
	Element 'p4:UUID' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:ContractDocumentReference/p4:XPath">
      <report test=".">
	Element 'p4:XPath' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:ContractDocumentReference/p5:Attachment">
      <report test=".">
	Element 'p5:Attachment' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:Delivery/p4:ActualDeliveryTime">
      <report test=".">
	Element 'p4:ActualDeliveryTime' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:Delivery/p4:ID">
      <report test=".">
	Element 'p4:ID' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:Delivery/p4:LatestDeliveryDate">
      <report test=".">
	Element 'p4:LatestDeliveryDate' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:Delivery/p4:LatestDeliveryTime">
      <report test=".">
	Element 'p4:LatestDeliveryTime' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:Delivery/p4:MaximumQuantity">
      <report test=".">
	Element 'p4:MaximumQuantity' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:Delivery/p4:MinimumQuantity">
      <report test=".">
	Element 'p4:MinimumQuantity' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:Delivery/p4:Quantity">
      <report test=".">
	Element 'p4:Quantity' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:Delivery/p4:TrackingID">
      <report test=".">
	Element 'p4:TrackingID' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:Delivery/p5:DeliveryAddress">
      <report test=".">
	Element 'p5:DeliveryAddress' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:Delivery/p5:DeliveryLocation/p4:Conditions">
      <report test=".">
	Element 'p4:Conditions' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:Delivery/p5:DeliveryLocation/p4:CountrySubentity">
      <report test=".">
	Element 'p4:CountrySubentity' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:Delivery/p5:DeliveryLocation/p4:CountrySubentityCode">
      <report test=".">
	Element 'p4:CountrySubentityCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:Delivery/p5:DeliveryLocation/p4:Description">
      <report test=".">
	Element 'p4:Description' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:Delivery/p5:DeliveryLocation/p5:Address/p4:AddressFormatCode">
      <report test=".">
	Element 'p4:AddressFormatCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:Delivery/p5:DeliveryLocation/p5:Address/p4:AddressTypeCode">
      <report test=".">
	Element 'p4:AddressTypeCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:Delivery/p5:DeliveryLocation/p5:Address/p4:BlockName">
      <report test=".">
	Element 'p4:BlockName' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:Delivery/p5:DeliveryLocation/p5:Address/p4:BuildingName">
      <report test=".">
	Element 'p4:BuildingName' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:Delivery/p5:DeliveryLocation/p5:Address/p4:CitySubdivisionName">
      <report test=".">
	Element 'p4:CitySubdivisionName' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:Delivery/p5:DeliveryLocation/p5:Address/p4:CountrySubentityCode">
      <report test=".">
	Element 'p4:CountrySubentityCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:Delivery/p5:DeliveryLocation/p5:Address/p4:District">
      <report test=".">
	Element 'p4:District' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:Delivery/p5:DeliveryLocation/p5:Address/p4:Floor">
      <report test=".">
	Element 'p4:Floor' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:Delivery/p5:DeliveryLocation/p5:Address/p4:ID">
      <report test=".">
	Element 'p4:ID' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:Delivery/p5:DeliveryLocation/p5:Address/p4:InhouseMail">
      <report test=".">
	Element 'p4:InhouseMail' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:Delivery/p5:DeliveryLocation/p5:Address/p4:MarkAttention">
      <report test=".">
	Element 'p4:MarkAttention' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:Delivery/p5:DeliveryLocation/p5:Address/p4:MarkCare">
      <report test=".">
	Element 'p4:MarkCare' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:Delivery/p5:DeliveryLocation/p5:Address/p4:PlotIdentification">
      <report test=".">
	Element 'p4:PlotIdentification' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:Delivery/p5:DeliveryLocation/p5:Address/p4:Postbox">
      <report test=".">
	Element 'p4:Postbox' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:Delivery/p5:DeliveryLocation/p5:Address/p4:Region">
      <report test=".">
	Element 'p4:Region' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:Delivery/p5:DeliveryLocation/p5:Address/p4:Room">
      <report test=".">
	Element 'p4:Room' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:Delivery/p5:DeliveryLocation/p5:Address/p4:TimezoneOffset">
      <report test=".">
	Element 'p4:TimezoneOffset' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:Delivery/p5:DeliveryLocation/p5:Address/p5:AddressLine">
      <report test=".">
	Element 'p5:AddressLine' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:Delivery/p5:DeliveryLocation/p5:Address/p5:Country/p4:Name">
      <report test=".">
	Element 'p4:Name' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:Delivery/p5:DeliveryLocation/p5:Address/p5:LocationCoordinate">
      <report test=".">
	Element 'p5:LocationCoordinate' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:Delivery/p5:DeliveryLocation/p5:ValidityPeriod">
      <report test=".">
	Element 'p5:ValidityPeriod' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:Delivery/p5:DeliveryParty">
      <report test=".">
	Element 'p5:DeliveryParty' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:Delivery/p5:Despatch">
      <report test=".">
	Element 'p5:Despatch' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:Delivery/p5:EstimatedDeliveryPeriod">
      <report test=".">
	Element 'p5:EstimatedDeliveryPeriod' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:Delivery/p5:PromisedDeliveryPeriod">
      <report test=".">
	Element 'p5:PromisedDeliveryPeriod' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:Delivery/p5:RequestedDeliveryPeriod">
      <report test=".">
	Element 'p5:RequestedDeliveryPeriod' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:DeliveryTerms">
      <report test=".">
	Element 'p5:DeliveryTerms' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:DespatchDocumentReference">
      <report test=".">
	Element 'p5:DespatchDocumentReference' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine">
      <assert test="count(p5:TaxTotal)&lt;=1">
	Element 'p5:TaxTotal' may occur at maximum 1 times.</assert>
      <assert test="count(p5:Price)=1">
	Element 'p5:Price' must occur exactly 1 times.</assert>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p4:AccountingCostCode">
      <report test=".">
	Element 'p4:AccountingCostCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p4:FreeOfChargeIndicator">
      <report test=".">
	Element 'p4:FreeOfChargeIndicator' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p4:TaxPointDate">
      <report test=".">
	Element 'p4:TaxPointDate' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p4:UUID">
      <report test=".">
	Element 'p4:UUID' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:AllowanceCharge/p4:AccountingCost">
      <report test=".">
	Element 'p4:AccountingCost' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:AllowanceCharge/p4:AccountingCostCode">
      <report test=".">
	Element 'p4:AccountingCostCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:AllowanceCharge/p4:AllowanceChargeReasonCode">
      <report test=".">
	Element 'p4:AllowanceChargeReasonCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:AllowanceCharge/p4:BaseAmount">
      <report test=".">
	Element 'p4:BaseAmount' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:AllowanceCharge/p4:ID">
      <report test=".">
	Element 'p4:ID' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:AllowanceCharge/p4:MultiplierFactorNumeric">
      <report test=".">
	Element 'p4:MultiplierFactorNumeric' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:AllowanceCharge/p4:PrepaidIndicator">
      <report test=".">
	Element 'p4:PrepaidIndicator' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:AllowanceCharge/p4:SequenceNumeric">
      <report test=".">
	Element 'p4:SequenceNumeric' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:AllowanceCharge/p5:PaymentMeans">
      <report test=".">
	Element 'p5:PaymentMeans' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:AllowanceCharge/p5:TaxCategory">
      <report test=".">
	Element 'p5:TaxCategory' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:AllowanceCharge/p5:TaxTotal">
      <report test=".">
	Element 'p5:TaxTotal' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:BillingReference">
      <report test=".">
	Element 'p5:BillingReference' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Delivery">
      <report test=".">
	Element 'p5:Delivery' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:DeliveryTerms">
      <report test=".">
	Element 'p5:DeliveryTerms' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:DespatchLineReference">
      <report test=".">
	Element 'p5:DespatchLineReference' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:DocumentReference">
      <report test=".">
	Element 'p5:DocumentReference' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item">
      <assert test="count(p4:Description)&lt;=1">
	Element 'p4:Description' may occur at maximum 1 times.</assert>
      <assert test="count(p4:Name)=1">
	Element 'p4:Name' must occur exactly 1 times.</assert>
      <assert test="count(p5:ClassifiedTaxCategory)&lt;=1">
	Element 'p5:ClassifiedTaxCategory' may occur at maximum 1 times.</assert>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p4:AdditionalInformation">
      <report test=".">
	Element 'p4:AdditionalInformation' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p4:BrandName">
      <report test=".">
	Element 'p4:BrandName' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p4:CatalogueIndicator">
      <report test=".">
	Element 'p4:CatalogueIndicator' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p4:HazardousRiskIndicator">
      <report test=".">
	Element 'p4:HazardousRiskIndicator' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p4:Keyword">
      <report test=".">
	Element 'p4:Keyword' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p4:ModelName">
      <report test=".">
	Element 'p4:ModelName' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p4:PackQuantity">
      <report test=".">
	Element 'p4:PackQuantity' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p4:PackSizeNumeric">
      <report test=".">
	Element 'p4:PackSizeNumeric' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p5:AdditionalItemIdentification">
      <report test=".">
	Element 'p5:AdditionalItemIdentification' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p5:AdditionalItemProperty/p5:ItemPropertyGroup">
      <report test=".">
	Element 'p5:ItemPropertyGroup' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p5:AdditionalItemProperty/p5:UsabilityPeriod">
      <report test=".">
	Element 'p5:UsabilityPeriod' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p5:BuyersItemIdentification">
      <report test=".">
	Element 'p5:BuyersItemIdentification' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p5:CatalogueDocumentReference">
      <report test=".">
	Element 'p5:CatalogueDocumentReference' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p5:CatalogueItemIdentification">
      <report test=".">
	Element 'p5:CatalogueItemIdentification' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p5:ClassifiedTaxCategory/p4:BaseUnitMeasure">
      <report test=".">
	Element 'p4:BaseUnitMeasure' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p5:ClassifiedTaxCategory/p4:Name">
      <report test=".">
	Element 'p4:Name' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p5:ClassifiedTaxCategory/p4:PerUnitAmount">
      <report test=".">
	Element 'p4:PerUnitAmount' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p5:ClassifiedTaxCategory/p4:TaxExemptionReason">
      <report test=".">
	Element 'p4:TaxExemptionReason' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p5:ClassifiedTaxCategory/p4:TaxExemptionReasonCode">
      <report test=".">
	Element 'p4:TaxExemptionReasonCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p5:ClassifiedTaxCategory/p4:TierRange">
      <report test=".">
	Element 'p4:TierRange' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p5:ClassifiedTaxCategory/p4:TierRatePercent">
      <report test=".">
	Element 'p4:TierRatePercent' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p5:ClassifiedTaxCategory/p5:TaxScheme/p4:CurrencyCode">
      <report test=".">
	Element 'p4:CurrencyCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p5:ClassifiedTaxCategory/p5:TaxScheme/p4:Name">
      <report test=".">
	Element 'p4:Name' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p5:ClassifiedTaxCategory/p5:TaxScheme/p4:TaxTypeCode">
      <report test=".">
	Element 'p4:TaxTypeCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p5:ClassifiedTaxCategory/p5:TaxScheme/p5:JurisdictionRegionAddress">
      <report test=".">
	Element 'p5:JurisdictionRegionAddress' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p5:CommodityClassification/p4:CargoTypeCode">
      <report test=".">
	Element 'p4:CargoTypeCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p5:CommodityClassification/p4:CommodityCode">
      <report test=".">
	Element 'p4:CommodityCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p5:CommodityClassification/p4:NatureCode">
      <report test=".">
	Element 'p4:NatureCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p5:HazardousItem">
      <report test=".">
	Element 'p5:HazardousItem' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p5:InformationContentProviderParty">
      <report test=".">
	Element 'p5:InformationContentProviderParty' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p5:ItemInstance">
      <report test=".">
	Element 'p5:ItemInstance' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p5:ItemSpecificationDocumentReference">
      <report test=".">
	Element 'p5:ItemSpecificationDocumentReference' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p5:ManufacturerParty">
      <report test=".">
	Element 'p5:ManufacturerParty' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p5:ManufacturersItemIdentification">
      <report test=".">
	Element 'p5:ManufacturersItemIdentification' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p5:OriginAddress">
      <report test=".">
	Element 'p5:OriginAddress' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p5:OriginCountry">
      <report test=".">
	Element 'p5:OriginCountry' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p5:SellersItemIdentification/p4:ExtendedID">
      <report test=".">
	Element 'p4:ExtendedID' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p5:SellersItemIdentification/p5:IssuerParty">
      <report test=".">
	Element 'p5:IssuerParty' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p5:SellersItemIdentification/p5:MeasurementDimension">
      <report test=".">
	Element 'p5:MeasurementDimension' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p5:SellersItemIdentification/p5:PhysicalAttribute">
      <report test=".">
	Element 'p5:PhysicalAttribute' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p5:StandardItemIdentification/p4:ExtendedID">
      <report test=".">
	Element 'p4:ExtendedID' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p5:StandardItemIdentification/p5:IssuerParty">
      <report test=".">
	Element 'p5:IssuerParty' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p5:StandardItemIdentification/p5:MeasurementDimension">
      <report test=".">
	Element 'p5:MeasurementDimension' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p5:StandardItemIdentification/p5:PhysicalAttribute">
      <report test=".">
	Element 'p5:PhysicalAttribute' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Item/p5:TransactionConditions">
      <report test=".">
	Element 'p5:TransactionConditions' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:OrderLineReference/p4:LineStatusCode">
      <report test=".">
	Element 'p4:LineStatusCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:OrderLineReference/p4:SalesOrderLineID">
      <report test=".">
	Element 'p4:SalesOrderLineID' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:OrderLineReference/p4:UUID">
      <report test=".">
	Element 'p4:UUID' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:OrderLineReference/p5:OrderReference">
      <report test=".">
	Element 'p5:OrderReference' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:OriginatorParty">
      <report test=".">
	Element 'p5:OriginatorParty' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:PaymentTerms">
      <report test=".">
	Element 'p5:PaymentTerms' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Price">
      <assert test="count(p5:AllowanceCharge)&lt;=1">
	Element 'p5:AllowanceCharge' may occur at maximum 1 times.</assert>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Price/p4:OrderableUnitFactorRate">
      <report test=".">
	Element 'p4:OrderableUnitFactorRate' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Price/p4:PriceChangeReason">
      <report test=".">
	Element 'p4:PriceChangeReason' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Price/p4:PriceType">
      <report test=".">
	Element 'p4:PriceType' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Price/p4:PriceTypeCode">
      <report test=".">
	Element 'p4:PriceTypeCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Price/p5:AllowanceCharge/p4:AccountingCost">
      <report test=".">
	Element 'p4:AccountingCost' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Price/p5:AllowanceCharge/p4:AccountingCostCode">
      <report test=".">
	Element 'p4:AccountingCostCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Price/p5:AllowanceCharge/p4:AllowanceChargeReasonCode">
      <report test=".">
	Element 'p4:AllowanceChargeReasonCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Price/p5:AllowanceCharge/p4:ID">
      <report test=".">
	Element 'p4:ID' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Price/p5:AllowanceCharge/p4:PrepaidIndicator">
      <report test=".">
	Element 'p4:PrepaidIndicator' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Price/p5:AllowanceCharge/p4:SequenceNumeric">
      <report test=".">
	Element 'p4:SequenceNumeric' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Price/p5:AllowanceCharge/p5:PaymentMeans">
      <report test=".">
	Element 'p5:PaymentMeans' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Price/p5:AllowanceCharge/p5:TaxCategory">
      <report test=".">
	Element 'p5:TaxCategory' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Price/p5:AllowanceCharge/p5:TaxTotal">
      <report test=".">
	Element 'p5:TaxTotal' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Price/p5:PriceList">
      <report test=".">
	Element 'p5:PriceList' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:Price/p5:ValidityPeriod">
      <report test=".">
	Element 'p5:ValidityPeriod' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:PricingReference">
      <report test=".">
	Element 'p5:PricingReference' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:ReceiptLineReference">
      <report test=".">
	Element 'p5:ReceiptLineReference' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:TaxTotal/p4:RoundingAmount">
      <report test=".">
	Element 'p4:RoundingAmount' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:TaxTotal/p4:TaxEvidenceIndicator">
      <report test=".">
	Element 'p4:TaxEvidenceIndicator' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoiceLine/p5:TaxTotal/p5:TaxSubtotal">
      <report test=".">
	Element 'p5:TaxSubtotal' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoicePeriod/p4:Description">
      <report test=".">
	Element 'p4:Description' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoicePeriod/p4:DescriptionCode">
      <report test=".">
	Element 'p4:DescriptionCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoicePeriod/p4:DurationMeasure">
      <report test=".">
	Element 'p4:DurationMeasure' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoicePeriod/p4:EndTime">
      <report test=".">
	Element 'p4:EndTime' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:InvoicePeriod/p4:StartTime">
      <report test=".">
	Element 'p4:StartTime' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:LegalMonetaryTotal">
      <assert test="count(p4:TaxExclusiveAmount)=1">
	Element 'p4:TaxExclusiveAmount' must occur exactly 1 times.</assert>
      <assert test="count(p4:TaxInclusiveAmount)=1">
	Element 'p4:TaxInclusiveAmount' must occur exactly 1 times.</assert>
    </rule>
    <rule context="/p2:Invoice/p5:OrderReference/p4:CopyIndicator">
      <report test=".">
	Element 'p4:CopyIndicator' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:OrderReference/p4:CustomerReference">
      <report test=".">
	Element 'p4:CustomerReference' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:OrderReference/p4:IssueDate">
      <report test=".">
	Element 'p4:IssueDate' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:OrderReference/p4:IssueTime">
      <report test=".">
	Element 'p4:IssueTime' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:OrderReference/p4:SalesOrderID">
      <report test=".">
	Element 'p4:SalesOrderID' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:OrderReference/p4:UUID">
      <report test=".">
	Element 'p4:UUID' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:OrderReference/p5:DocumentReference">
      <report test=".">
	Element 'p5:DocumentReference' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:OriginatorDocumentReference">
      <report test=".">
	Element 'p5:OriginatorDocumentReference' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PayeeParty">
      <assert test="count(p5:PartyIdentification)&lt;=1">
	Element 'p5:PartyIdentification' may occur at maximum 1 times.</assert>
      <assert test="count(p5:PartyName)&lt;=1">
	Element 'p5:PartyName' may occur at maximum 1 times.</assert>
    </rule>
    <rule context="/p2:Invoice/p5:PayeeParty/p4:EndpointID">
      <report test=".">
	Element 'p4:EndpointID' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PayeeParty/p4:LogoReferenceID">
      <report test=".">
	Element 'p4:LogoReferenceID' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PayeeParty/p4:MarkAttentionIndicator">
      <report test=".">
	Element 'p4:MarkAttentionIndicator' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PayeeParty/p4:MarkCareIndicator">
      <report test=".">
	Element 'p4:MarkCareIndicator' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PayeeParty/p4:WebsiteURI">
      <report test=".">
	Element 'p4:WebsiteURI' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PayeeParty/p5:AgentParty">
      <report test=".">
	Element 'p5:AgentParty' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PayeeParty/p5:Contact">
      <report test=".">
	Element 'p5:Contact' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PayeeParty/p5:Language">
      <report test=".">
	Element 'p5:Language' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PayeeParty/p5:PartyLegalEntity/p4:RegistrationName">
      <report test=".">
	Element 'p4:RegistrationName' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PayeeParty/p5:PartyLegalEntity/p5:CorporateRegistrationScheme">
      <report test=".">
	Element 'p5:CorporateRegistrationScheme' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PayeeParty/p5:PartyLegalEntity/p5:RegistrationAddress">
      <report test=".">
	Element 'p5:RegistrationAddress' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PayeeParty/p5:PartyTaxScheme">
      <report test=".">
	Element 'p5:PartyTaxScheme' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PayeeParty/p5:Person">
      <report test=".">
	Element 'p5:Person' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PayeeParty/p5:PhysicalLocation">
      <report test=".">
	Element 'p5:PhysicalLocation' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PayeeParty/p5:PostalAddress">
      <report test=".">
	Element 'p5:PostalAddress' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PaymentAlternativeExchangeRate">
      <report test=".">
	Element 'p5:PaymentAlternativeExchangeRate' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PaymentExchangeRate">
      <report test=".">
	Element 'p5:PaymentExchangeRate' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PaymentMeans/p4:ID">
      <report test=".">
	Element 'p4:ID' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PaymentMeans/p4:InstructionID">
      <report test=".">
	Element 'p4:InstructionID' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PaymentMeans/p4:InstructionNote">
      <report test=".">
	Element 'p4:InstructionNote' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PaymentMeans/p5:CardAccount">
      <report test=".">
	Element 'p5:CardAccount' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PaymentMeans/p5:CreditAccount">
      <report test=".">
	Element 'p5:CreditAccount' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PaymentMeans/p5:PayeeFinancialAccount">
      <assert test="count(p4:ID)=1">
	Element 'p4:ID' must occur exactly 1 times.</assert>
    </rule>
    <rule context="/p2:Invoice/p5:PaymentMeans/p5:PayeeFinancialAccount/p4:AccountTypeCode">
      <report test=".">
	Element 'p4:AccountTypeCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PaymentMeans/p5:PayeeFinancialAccount/p4:CurrencyCode">
      <report test=".">
	Element 'p4:CurrencyCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PaymentMeans/p5:PayeeFinancialAccount/p4:Name">
      <report test=".">
	Element 'p4:Name' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PaymentMeans/p5:PayeeFinancialAccount/p4:PaymentNote">
      <report test=".">
	Element 'p4:PaymentNote' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PaymentMeans/p5:PayeeFinancialAccount/p5:Country">
      <report test=".">
	Element 'p5:Country' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PaymentMeans/p5:PayeeFinancialAccount/p5:FinancialInstitutionBranch/p4:Name">
      <report test=".">
	Element 'p4:Name' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PaymentMeans/p5:PayeeFinancialAccount/p5:FinancialInstitutionBranch/p5:Address">
      <report test=".">
	Element 'p5:Address' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PaymentMeans/p5:PayeeFinancialAccount/p5:FinancialInstitutionBranch/p5:FinancialInstitution/p4:Name">
      <report test=".">
	Element 'p4:Name' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PaymentMeans/p5:PayeeFinancialAccount/p5:FinancialInstitutionBranch/p5:FinancialInstitution/p5:Address">
      <report test=".">
	Element 'p5:Address' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PaymentMeans/p5:PayerFinancialAccount">
      <report test=".">
	Element 'p5:PayerFinancialAccount' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PaymentTerms/p4:Amount">
      <report test=".">
	Element 'p4:Amount' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PaymentTerms/p4:ID">
      <report test=".">
	Element 'p4:ID' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PaymentTerms/p4:PaymentMeansID">
      <report test=".">
	Element 'p4:PaymentMeansID' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PaymentTerms/p4:PenaltySurchargePercent">
      <report test=".">
	Element 'p4:PenaltySurchargePercent' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PaymentTerms/p4:PrepaidPaymentReferenceID">
      <report test=".">
	Element 'p4:PrepaidPaymentReferenceID' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PaymentTerms/p4:ReferenceEventCode">
      <report test=".">
	Element 'p4:ReferenceEventCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PaymentTerms/p4:SettlementDiscountPercent">
      <report test=".">
	Element 'p4:SettlementDiscountPercent' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PaymentTerms/p5:PenaltyPeriod">
      <report test=".">
	Element 'p5:PenaltyPeriod' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PaymentTerms/p5:SettlementPeriod">
      <report test=".">
	Element 'p5:SettlementPeriod' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PrepaidPayment">
      <report test=".">
	Element 'p5:PrepaidPayment' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:PricingExchangeRate">
      <report test=".">
	Element 'p5:PricingExchangeRate' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:ReceiptDocumentReference">
      <report test=".">
	Element 'p5:ReceiptDocumentReference' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:SellerSupplierParty">
      <report test=".">
	Element 'p5:SellerSupplierParty' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:Signature">
      <report test=".">
	Element 'p5:Signature' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:TaxExchangeRate">
      <report test=".">
	Element 'p5:TaxExchangeRate' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:TaxRepresentativeParty">
      <report test=".">
	Element 'p5:TaxRepresentativeParty' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:TaxTotal/p4:RoundingAmount">
      <report test=".">
	Element 'p4:RoundingAmount' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:TaxTotal/p4:TaxEvidenceIndicator">
      <report test=".">
	Element 'p4:TaxEvidenceIndicator' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:TaxTotal/p5:TaxSubtotal/p4:BaseUnitMeasure">
      <report test=".">
	Element 'p4:BaseUnitMeasure' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:TaxTotal/p5:TaxSubtotal/p4:CalculationSequenceNumeric">
      <report test=".">
	Element 'p4:CalculationSequenceNumeric' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:TaxTotal/p5:TaxSubtotal/p4:PerUnitAmount">
      <report test=".">
	Element 'p4:PerUnitAmount' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:TaxTotal/p5:TaxSubtotal/p4:Percent">
      <report test=".">
	Element 'p4:Percent' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:TaxTotal/p5:TaxSubtotal/p4:TierRange">
      <report test=".">
	Element 'p4:TierRange' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:TaxTotal/p5:TaxSubtotal/p4:TierRatePercent">
      <report test=".">
	Element 'p4:TierRatePercent' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:TaxTotal/p5:TaxSubtotal/p4:TransactionCurrencyTaxAmount">
      <report test=".">
	Element 'p4:TransactionCurrencyTaxAmount' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:TaxTotal/p5:TaxSubtotal/p5:TaxCategory/p4:BaseUnitMeasure">
      <report test=".">
	Element 'p4:BaseUnitMeasure' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:TaxTotal/p5:TaxSubtotal/p5:TaxCategory/p4:Name">
      <report test=".">
	Element 'p4:Name' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:TaxTotal/p5:TaxSubtotal/p5:TaxCategory/p4:PerUnitAmount">
      <report test=".">
	Element 'p4:PerUnitAmount' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:TaxTotal/p5:TaxSubtotal/p5:TaxCategory/p4:TierRange">
      <report test=".">
	Element 'p4:TierRange' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:TaxTotal/p5:TaxSubtotal/p5:TaxCategory/p4:TierRatePercent">
      <report test=".">
	Element 'p4:TierRatePercent' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:TaxTotal/p5:TaxSubtotal/p5:TaxCategory/p5:TaxScheme/p4:CurrencyCode">
      <report test=".">
	Element 'p4:CurrencyCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:TaxTotal/p5:TaxSubtotal/p5:TaxCategory/p5:TaxScheme/p4:Name">
      <report test=".">
	Element 'p4:Name' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:TaxTotal/p5:TaxSubtotal/p5:TaxCategory/p5:TaxScheme/p4:TaxTypeCode">
      <report test=".">
	Element 'p4:TaxTypeCode' is marked as not used in the given context.</report>
    </rule>
    <rule context="/p2:Invoice/p5:TaxTotal/p5:TaxSubtotal/p5:TaxCategory/p5:TaxScheme/p5:JurisdictionRegionAddress">
      <report test=".">
	Element 'p5:JurisdictionRegionAddress' is marked as not used in the given context.</report>
    </rule>
  </pattern>
</schema>
