<?xml version="1.0" encoding="utf-8"?><!-- 

        	UBL syntax binding to the T10   
        	Author: Oriol Bausà

     --><schema xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:cbc="urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2" xmlns:cac="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2" xmlns:ubl="urn:oasis:names:specification:ubl:schema:xsd:Invoice-2" queryBinding="xslt2">
  <title>ATGOV  T10 bound to UBL</title>
  <ns prefix="cbc" uri="urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2"/>
  <ns prefix="cac" uri="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2"/>
  <ns prefix="ubl" uri="urn:oasis:names:specification:ubl:schema:xsd:Invoice-2"/>
  <phase id="ATGOVT10_phase">
    <active pattern="UBL-T10"/>
  </phase>
  <!-- Abstract CEN BII patterns -->
  <!-- ========================= -->
  <?DSDL_INCLUDE_START abstract/ATGOV-T10.sch?><pattern abstract="true" id="T10">
  <rule context="$Supplier">
    <assert test="$ATGOV-T10-R001" flag="fatal">[ATGOV-T10-R001]-The email address of the biller is mandatory</assert>
  </rule>
  <rule context="$Invoice">
    <assert test="$ATGOV-T10-R002" flag="fatal">[ATGOV-T10-R002]-A maximum number of 999 invoice lines must be present</assert>
    <assert test="$ATGOV-T10-R003" flag="fatal">[ATGOV-T10-R003]-The order number must be present</assert>
    <assert test="$ATGOV-T10-R004" flag="warning">[ATGOV-T10-R004]-An invoice should not specify textual payment terms</assert>
    <assert test="$ATGOV-T10-R005" flag="warning">[ATGOV-T10-R005]-Exactly 1 beneficiary account may be present</assert>
    <assert test="$ATGOV-T10-R006" flag="fatal">[ATGOV-T10-R006]-The "Buchungskreis" (accounting area code) must be present</assert>
  </rule>
  <rule context="$Payment_Means">
    <assert test="$ATGOV-T10-R007" flag="fatal">[ATGOV-T10-R007]-Only BIC and IBAN are allowed as beneficiary account information</assert>
  </rule>
  <rule context="$Invoice_Line">
    <assert test="$ATGOV-T10-R008" flag="fatal">[ATGOV-T10-R008]-The order position number (per line item) must be present</assert>
  </rule>
</pattern><?DSDL_INCLUDE_END abstract/ATGOV-T10.sch?>
  <!-- Data Binding parameters -->
  <!-- ======================= -->
  <?DSDL_INCLUDE_START UBL/ATGOV-UBL-T10.sch?><pattern id="UBL-T10" is-a="T10">
  <param value="(cac:Contact/cbc:ElectronicMail) and (//cac:AccountingCustomerParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode = 'AT') or not((//cac:AccountingCustomerParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode = 'AT'))" name="ATGOV-T10-R001"/>
  <param value="count(//cac:InvoiceLine) &lt; 999 and (//cac:AccountingCustomerParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode = 'AT') or not((//cac:AccountingCustomerParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode = 'AT'))" name="ATGOV-T10-R002"/>
  <param value="(cac:OrderReference/cbc:ID) and (//cac:AccountingCustomerParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode = 'AT') or not((//cac:AccountingCustomerParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode = 'AT'))" name="ATGOV-T10-R003"/>
  <param value="count(/ubl:Invoice/cac:AllowanceCharge) &lt; 2 and (//cac:AccountingCustomerParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode = 'AT') or not((//cac:AccountingCustomerParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode = 'AT'))" name="ATGOV-T10-R004"/>
  <param value="count(//cac:PayeeFinancialAccount/cbc:ID) = 1 and (//cac:AccountingCustomerParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode = 'AT') or not((//cac:AccountingCustomerParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode = 'AT'))" name="ATGOV-T10-R005"/>
  <param value="(//cbc:AccountingCost) and (//cac:AccountingCustomerParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode = 'AT') or not((//cac:AccountingCustomerParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode = 'AT'))" name="ATGOV-T10-R006"/>
  <param value="cbc:PaymentMeansCode = '31' and  (cac:PayeeFinancialAccount/cbc:ID/@schemeID and cac:PayeeFinancialAccount/cbc:ID/@schemeID = 'IBAN') and  (cac:PayeeFinancialAccount/cac:FinancialInstitutionBranch/cac:FinancialInstitution/cbc:ID/@schemeID and cac:PayeeFinancialAccount/cac:FinancialInstitutionBranch/cac:FinancialInstitution/cbc:ID/@schemeID = 'BIC') and (//cac:AccountingCustomerParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode = 'AT') or not((//cac:AccountingCustomerParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode = 'AT'))" name="ATGOV-T10-R007"/>
  <param value="(cac:OrderReferenceLine/cbc:LineID) and (//cac:AccountingCustomerParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode = 'AT') or not((//cac:AccountingCustomerParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode = 'AT'))" name="ATGOV-T10-R008"/>
  <param value="/ubl:Invoice" name="Invoice"/>
  <param value="//cac:PaymentMeans" name="Payment_Means"/>
  <param value="//cac:AccountingSupplierParty/cac:Party" name="Supplier"/>
  <param value="//cac:InvoiceLine" name="Invoice_Line"/>
</pattern><?DSDL_INCLUDE_END UBL/ATGOV-UBL-T10.sch?>
</schema>