<?xml version="1.0" encoding="utf-8"?><!-- 

        	UBL syntax binding to the T10   
        	Author: Oriol Bausà

     --><schema xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:cbc="urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2" xmlns:cac="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2" xmlns:ubl="urn:oasis:names:specification:ubl:schema:xsd:Invoice-2" queryBinding="xslt2">
  <title>DKNAT  T10 bound to UBL</title>
  <ns prefix="cbc" uri="urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2"/>
  <ns prefix="cac" uri="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2"/>
  <ns prefix="ubl" uri="urn:oasis:names:specification:ubl:schema:xsd:Invoice-2"/>
  <phase id="DKNATT10_phase">
    <active pattern="UBL-T10"/>
  </phase>
  <!-- Abstract CEN BII patterns -->
  <!-- ========================= -->
  <?DSDL_INCLUDE_START abstract/DKNAT-T10.sch?><pattern abstract="true" id="T10">
  <rule context="$Supplier_Party">
    <assert test="$DKNAT-T10-R001" flag="fatal">[DKNAT-T10-R001]-The Danish legal registration ID for the supplier MUST be provided</assert>
  </rule>
  <rule context="$Customer_Party">
    <assert test="$DKNAT-T10-R002" flag="fatal">[DKNAT-T10-R002]-The buyer’s Danish legal registration ID MUST be provided.</assert>
    <assert test="$DKNAT-T10-R003" flag="fatal">[DKNAT-T10-R003]-A customer postal address in an invoice MUST contain at least, Street name and number, city name, zip code and country code.</assert>
  </rule>
</pattern><?DSDL_INCLUDE_END abstract/DKNAT-T10.sch?>
  <!-- Data Binding parameters -->
  <!-- ======================= -->
  <?DSDL_INCLUDE_START UBL/DKNAT-UBL-T10.sch?><pattern id="UBL-T10" is-a="T10">
  <param value="(cac:PartyLegalEntity/cbc:CompanyID != '') and (//cac:AccountingSupplierParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode = 'DK') or not((//cac:AccountingSupplierParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode = 'DK'))" name="DKNAT-T10-R001"/>
  <param value="(cac:PartyLegalEntity/cbc:CompanyID != '') and (//cac:AccountingSupplierParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode = 'DK') or not((//cac:AccountingSupplierParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode = 'DK'))" name="DKNAT-T10-R002"/>
  <param value="(cac:PostalAddress/cbc:StreetName and cac:PostalAddress/cbc:CityName and cac:PostalAddress/cbc:PostalZone and cac:PostalAddress/cac:Country/cbc:IdentificationCode) and (//cac:AccountingSupplierParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode = 'DK') or not((//cac:AccountingSupplierParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode = 'DK'))" name="DKNAT-T10-R003"/>
  <param value="//cac:AccountingSupplierParty/cac:Party" name="Supplier_Party"/>
  <param value="//cac:AccountingCustomerParty/cac:Party" name="Customer_Party"/>
</pattern><?DSDL_INCLUDE_END UBL/DKNAT-UBL-T10.sch?>
</schema>