<?xml version="1.0" encoding="utf-8"?><!-- 

        	UBL syntax binding to the T01   
        	Author: Oriol Bausà

     --><schema xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:cbc="urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2" xmlns:cac="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2" xmlns:ubl="urn:oasis:names:specification:ubl:schema:xsd:Order-2" queryBinding="xslt2">
  <title>EUGEN  T01 bound to UBL</title>
  <ns prefix="cbc" uri="urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2"/>
  <ns prefix="cac" uri="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2"/>
  <ns prefix="ubl" uri="urn:oasis:names:specification:ubl:schema:xsd:Order-2"/>
  <phase id="EUGENT01_phase">
    <active pattern="UBL-T01"/>
  </phase>
  <!-- Abstract CEN BII patterns -->
  <!-- ========================= -->
  <?DSDL_INCLUDE_START abstract/EUGEN-T01.sch?><pattern abstract="true" id="T01">
  <rule context="$Supplier_Party">
    <assert test="$EUGEN-T01-R001" flag="warning">[EUGEN-T01-R001]-A supplier postal address in an order SHOULD contain at least street name and number, city name, zip code and country code.</assert>
  </rule>
  <rule context="$Order_Line">
    <assert test="$EUGEN-T01-R005" flag="warning">[EUGEN-T01-R005]-Each order line SHOULD contain the quantity</assert>
    <assert test="$EUGEN-T01-R009" flag="fatal">[EUGEN-T01-R009]-Line extension amount MUST NOT be negative</assert>
    <assert test="$EUGEN-T01-R010" flag="fatal">[EUGEN-T01-R010]-Quantity ordered MUST not be negative</assert>
  </rule>
  <rule context="$Monetary_Total">
    <assert test="$EUGEN-T01-R008" flag="fatal">[EUGEN-T01-R008]-Total payable amount MUST NOT be negative</assert>
  </rule>
  <rule context="$Delivery_Period">
    <assert test="$EUGEN-T01-R007" flag="fatal">[EUGEN-T01-R007]-A delivery period MUST have either the start date or the end date </assert>
  </rule>
  <rule context="$Delivery_Address">
    <assert test="$EUGEN-T01-R003" flag="warning">[EUGEN-T01-R003]-A Delivery address  SHOULD contain at least, city, zip code and country code.</assert>
  </rule>
  <rule context="$Customer_Party">
    <assert test="$EUGEN-T01-R002" flag="warning">[EUGEN-T01-R002]-A customer postal address in an invoice SHOULD contain at least, Street name and number, city name, zip code and country code.</assert>
  </rule>
  <rule context="$Allowance_Charge">
    <assert test="$EUGEN-T01-R004" flag="warning">[EUGEN-T01-R004]-Allowance Charge reason text SHOULD be specified for all allowances and charges</assert>
    <assert test="$EUGEN-T01-R006" flag="fatal">[EUGEN-T01-R006]-An allowance amount MUST NOT be negative.</assert>
  </rule>
</pattern><?DSDL_INCLUDE_END abstract/EUGEN-T01.sch?>
  <!-- Data Binding parameters -->
  <!-- ======================= -->
  <?DSDL_INCLUDE_START UBL/EUGEN-UBL-T01.sch?><pattern id="UBL-T01" is-a="T01">
  <param value="(cac:PostalAddress/cbc:StreetName and cac:PostalAddress/cbc:CityName and cac:PostalAddress/cbc:PostalZone and cac:PostalAddress/cac:Country/cbc:IdentificationCode)" name="EUGEN-T01-R001"/>
  <param value="(cac:PostalAddress/cbc:StreetName and cac:PostalAddress/cbc:CityName and cac:PostalAddress/cbc:PostalZone and cac:PostalAddress/cac:Country/cbc:IdentificationCode)" name="EUGEN-T01-R002"/>
  <param value="(cbc:CityName and cbc:PostalZone and cac:Country/cbc:IdentificationCode)" name="EUGEN-T01-R003"/>
  <param value="(cbc:AllowanceChargeReason)" name="EUGEN-T01-R004"/>
  <param value="(cbc:Quantity) and (cbc:Quantity/@unitCode)" name="EUGEN-T01-R005"/>
  <param value="number(cbc:Amount) &gt;= 0" name="EUGEN-T01-R006"/>
  <param value="(cbc:StartDate) or (cbc:EndDate) or (cbc:StartDate and cbc:EndDate) and (number(translate(cbc:StartDate,'-','')) &lt;= number(translate(cbc:EndDate,'-','')))" name="EUGEN-T01-R007"/>
  <param value="number(cbc:PayableAmount) &gt;= 0" name="EUGEN-T01-R008"/>
  <param value="number(cbc:LineExtensionAmount) &gt;= 0" name="EUGEN-T01-R009"/>
  <param value="number(cbc:Quantity) &gt;= 0" name="EUGEN-T01-R010"/>
  <param value="//cac:SellerSupplierParty/cac:Party" name="Supplier_Party"/>
  <param value="//cac:BuyerCustomerParty/cac:Party" name="Customer_Party"/>
  <param value="//cac:Delivery/cac:DeliveryLocation/cac:Address" name="Delivery_Address"/>
  <param value="//cac:AllowanceCharge" name="Allowance_Charge"/>
  <param value="//cac:OrderLine/cac:LineItem" name="Order_Line"/>
  <param value="//cac:Delivery/cac:RequestedDeliveryPeriod" name="Delivery_Period"/>
  <param value="//cac:AnticipatedMonetaryTotal" name="Monetary_Total"/>
</pattern><?DSDL_INCLUDE_END UBL/EUGEN-UBL-T01.sch?>
</schema>