<?xml version="1.0" encoding="utf-8"?><schema xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:cbc="urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2" xmlns:cac="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2" xmlns:ubl="urn:oasis:names:specification:ubl:schema:xsd:Order-2" queryBinding="xslt2">
  <title>EUGEN  T01 bound to UBL</title>
  <ns prefix="cbc" uri="urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2"/>
  <ns prefix="cac" uri="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2"/>
  <ns prefix="ubl" uri="urn:oasis:names:specification:ubl:schema:xsd:Order-2"/>
  <phase id="EUGENT01_phase">
    <active pattern="UBL-T01"/>
  </phase>
  
  
  <!--Suppressed abstract pattern T01 was here-->
  
  
  <!--Start pattern based on abstract T01--><pattern id="UBL-T01">
  <rule context="//cac:SellerSupplierParty/cac:Party">
    <assert test="(cac:PostalAddress/cbc:StreetName and cac:PostalAddress/cbc:CityName and cac:PostalAddress/cbc:PostalZone and cac:PostalAddress/cac:Country/cbc:IdentificationCode)" flag="warning">[EUGEN-T01-R001]-A supplier postal address in an order SHOULD contain at least street name and number, city name, zip code and country code.</assert>
  </rule>
  <rule context="//cac:OrderLine/cac:LineItem">
    <assert test="(cbc:Quantity) and (cbc:Quantity/@unitCode)" flag="warning">[EUGEN-T01-R005]-Each order line SHOULD contain the quantity</assert>
    <assert test="number(cbc:LineExtensionAmount) &gt;= 0" flag="fatal">[EUGEN-T01-R009]-Line extension amount MUST NOT be negative</assert>
    <assert test="number(cbc:Quantity) &gt;= 0" flag="fatal">[EUGEN-T01-R010]-Quantity ordered MUST not be negative</assert>
  </rule>
  <rule context="//cac:AnticipatedMonetaryTotal">
    <assert test="number(cbc:PayableAmount) &gt;= 0" flag="fatal">[EUGEN-T01-R008]-Total payable amount MUST NOT be negative</assert>
  </rule>
  <rule context="//cac:Delivery/cac:RequestedDeliveryPeriod">
    <assert test="(cbc:StartDate) or (cbc:EndDate) or (cbc:StartDate and cbc:EndDate) and (number(translate(cbc:StartDate,'-','')) &lt;= number(translate(cbc:EndDate,'-','')))" flag="fatal">[EUGEN-T01-R007]-A delivery period MUST have either the start date or the end date </assert>
  </rule>
  <rule context="//cac:Delivery/cac:DeliveryLocation/cac:Address">
    <assert test="(cbc:CityName and cbc:PostalZone and cac:Country/cbc:IdentificationCode)" flag="warning">[EUGEN-T01-R003]-A Delivery address  SHOULD contain at least, city, zip code and country code.</assert>
  </rule>
  <rule context="//cac:BuyerCustomerParty/cac:Party">
    <assert test="(cac:PostalAddress/cbc:StreetName and cac:PostalAddress/cbc:CityName and cac:PostalAddress/cbc:PostalZone and cac:PostalAddress/cac:Country/cbc:IdentificationCode)" flag="warning">[EUGEN-T01-R002]-A customer postal address in an invoice SHOULD contain at least, Street name and number, city name, zip code and country code.</assert>
  </rule>
  <rule context="//cac:AllowanceCharge">
    <assert test="(cbc:AllowanceChargeReason)" flag="warning">[EUGEN-T01-R004]-Allowance Charge reason text SHOULD be specified for all allowances and charges</assert>
    <assert test="number(cbc:Amount) &gt;= 0" flag="fatal">[EUGEN-T01-R006]-An allowance amount MUST NOT be negative.</assert>
  </rule>
</pattern>
</schema>