<?xml version="1.0" encoding="utf-8"?><!-- 

        	UBL syntax binding to the T19   
        	Author: Oriol Bausà

     --><schema xmlns="http://purl.oclc.org/dsdl/schematron" xmlns:cbc="urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2" xmlns:cac="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2" xmlns:ubl="urn:oasis:names:specification:ubl:schema:xsd:Catalogue-2" queryBinding="xslt2">
  <title>EUGEN  T19 bound to UBL</title>
  <ns prefix="cbc" uri="urn:oasis:names:specification:ubl:schema:xsd:CommonBasicComponents-2"/>
  <ns prefix="cac" uri="urn:oasis:names:specification:ubl:schema:xsd:CommonAggregateComponents-2"/>
  <ns prefix="ubl" uri="urn:oasis:names:specification:ubl:schema:xsd:Catalogue-2"/>
  <phase id="EUGENT19_phase">
    <active pattern="UBL-T19"/>
  </phase>
  <!-- Abstract CEN BII patterns -->
  <!-- ========================= -->
  <?DSDL_INCLUDE_START abstract/EUGEN-T19.sch?><pattern abstract="true" id="T19">
  <rule context="$Catalogue_Line">
    <assert test="$EUGEN-T19-R042" flag="warning">[EUGEN-T19-R042]-If Price amount is used than Price Base Quantity SHOUL be higher than zero</assert>
    <assert test="$EUGEN-T19-R040" flag="fatal">[EUGEN-T19-R040]-Contract reference SHOULD always present</assert>
    <assert test="$EUGEN-T19-R039" flag="warning">[EUGEN-T19-R039]-Catalogue line Maximum_quantity SHOULD NOT be negative</assert>
    <assert test="$EUGEN-T19-R038" flag="warning">[EUGEN-T19-R038]-Catalogue line Mimimum_quantity SHOULD be present</assert>
    <assert test="$EUGEN-T19-R037" flag="warning">[EUGEN-T19-R037]-Catalogue line Maximum_quantity SHOULD be present</assert>
    <assert test="$EUGEN-T19-R036" flag="warning">[EUGEN-T19-R036]-Catalogue line Mimimum_quantity SHOULD NOT be negative</assert>
    <assert test="$EUGEN-T19-R033" flag="warning">[EUGEN-T19-R033]-Catalogue line Maximum_quantity SHOULD be greater or equal to the Minimum quantity: it is applied in all the section in  a Catalogue line where are included Maximum and minimum quantity (it is applied at section Max order quantity)</assert>
    <assert test="$EUGEN-T19-R032" flag="fatal">[EUGEN-T19-R032]-If Orderable Indicator is se to Yes than Orderable Unit (text) MUST not be blank</assert>
  </rule>
  <rule context="$Catalogue_provider_party">
    <assert test="$EUGEN-T19-R031" flag="fatal">[EUGEN-T19-R031]-Provider party endpoint identifier MUST be filled in </assert>
  </rule>
  <rule context="$Catalogue_receiver_party">
    <assert test="$EUGEN-T19-R030" flag="fatal">[EUGEN-T19-R030]-Receiver party endpoint identifier MUST be filled in </assert>
  </rule>
  <rule context="$Catalogue_validity_period">
    <assert test="$EUGEN-T19-R029" flag="warning">[EUGEN-T19-R029]-A validity period end date SHOULD be later or equal to a validity period start date</assert>
  </rule>
  <rule context="$Catalogue">
    <assert test="$EUGEN-T19-R028" flag="warning">[EUGEN-T19-R028]-Contract reference SHOULD be only one</assert>
    <assert test="$EUGEN-T19-R003" flag="fatal">[EUGEN-T19-R003]-The profile ID is dependent on the profile in which the transaction is being used.</assert>
    <assert test="$EUGEN-T19-R002" flag="fatal">[EUGEN-T19-R002]-CustomizationID MUST  comply with CEN/BII transactions definitions</assert>
    <assert test="$EUGEN-T19-R001" flag="fatal">[EUGEN-T19-R001]-UBL VersionID MUST define a supported syntaxbinding</assert>
  </rule>
  <rule context="$Contract">
    <assert test="$EUGEN-T19-R027" flag="fatal">[EUGEN-T19-R027]-If Contract Identifier is not specified SHOULD Contract Type text be used for Contract Reference </assert>
  </rule>
  <rule context="$Customer_Address">
    <assert test="$EUGEN-T19-R023" flag="warning">[EUGEN-T19-R023]-A Customer party address in an catalogue SHOULD contain at least Street Name, City name and Zip code and Country code.</assert>
  </rule>
  <rule context="$Customer">
    <assert test="$EUGEN-T19-R025" flag="warning">[EUGEN-T19-R025]-In cross border trade the VAT identifier for the customer should be prefixed with country code.</assert>
    <assert test="$EUGEN-T19-R024" flag="fatal">[EUGEN-T19-R024]-If buyer customer party ID is not specified, buyer party name is mandatory</assert>
  </rule>
  <rule context="$Document_Reference">
    <assert test="$EUGEN-T19-R020" flag="warning">[EUGEN-T19-R020]-Mime code Should be given for embedded binary object accordingly to codelist</assert>
  </rule>
  <rule context="$Item_Location_Price">
    <assert test="$EUGEN-T19-R034" flag="warning">[EUGEN-T19-R034]-Catalogue line Maximum_quantity SHOULD be greater than the Minimum quantity (it is applied to the section Item location.quantity.maximum_quantity) </assert>
    <assert test="$EUGEN-T19-R016" flag="warning">[EUGEN-T19-R016]-Line validity period SHOULD be within the range of the whole catalogue validity period</assert>
  </rule>
  <rule context="$Item_Price">
    <assert test="$EUGEN-T19-R013" flag="fatal">[EUGEN-T19-R013]-Prices of items MUST be positive or equal to zero NOT negative amounts</assert>
  </rule>
  <rule context="$Item">
    <assert test="$EUGEN-T19-R041" flag="warning">[EUGEN-T19-R041]-Sellers_ Item Identification. Item Identification section SHOULD be present</assert>
    <assert test="$EUGEN-T19-R019" flag="warning">[EUGEN-T19-R019]-Item Tax Scheme SHOULD be present</assert>
    <assert test="$EUGEN-T19-R018" flag="warning">[EUGEN-T19-R018]-Item Tax Category SHOULD be present</assert>
    <assert test="$EUGEN-T19-R017" flag="warning">[EUGEN-T19-R017]-Item should have a Description – Invoice is the NAME!!</assert>
    <assert test="$EUGEN-T19-R015" flag="fatal">[EUGEN-T19-R015]-Item Commodity Classification: both Classification Commodity codes and Item classification code MUST be filled</assert>
    <assert test="$EUGEN-T19-R012" flag="warning">[EUGEN-T19-R012]-If standard identifiers are provided within an item description, an Schema Identifier SHOULD be provided (e.g. GTIN)</assert>
  </rule>
  <rule context="$Party">
    <assert test="$EUGEN-T19-R005" flag="warning">[EUGEN-T19-R005]-Party.Party Tax Scheme. Company Identifier SHOULD be present</assert>
  </rule>
  <rule context="$Seller_Address">
    <assert test="$EUGEN-T19-R010" flag="warning">[EUGEN-T19-R010]-A seller party address in an catalogue SHOULD contain at least Street Name, City name and Zip code and Country code </assert>
  </rule>
  <rule context="$Supplier_Contact">
    <assert test="$EUGEN-T19-R006" flag="warning">[EUGEN-T19-R006]-A party contact telephone text SHOULD be filled in</assert>
  </rule>
  <rule context="$Supplier">
    <assert test="$EUGEN-T19-R009" flag="warning">[EUGEN-T19-R009]-In cross border trade the VAT identifier for the supplier MUST be prefixed with country code.</assert>
    <assert test="$EUGEN-T19-R007" flag="fatal">[EUGEN-T19-R007]-If seller supplier party ID is not specified, seller supplier party name is mandatory</assert>
  </rule>
</pattern><?DSDL_INCLUDE_END abstract/EUGEN-T19.sch?>
  <!-- Data Binding parameters -->
  <!-- ======================= -->
  <?DSDL_INCLUDE_START UBL/EUGEN-UBL-T19.sch?><pattern id="UBL-T19" is-a="T19">
  <param value="(cbc:UBLVersionID)" name="EUGEN-T19-R001"/>
  <param value="(cbc:CustomizationID)" name="EUGEN-T19-R002"/>
  <param value="(cbc:ProfileID)" name="EUGEN-T19-R003"/>
  <param value="(cac:PartyLegalEntity/cbc:CompanyID)" name="EUGEN-T19-R005"/>
  <param value="(cbc:Telephone)" name="EUGEN-T19-R006"/>
  <param value="(not(cac:PartyIdentification/cbc:ID) and (cac:PartyName/cbc:Name)) or (cac:PartyIdentification/cbc:ID)" name="EUGEN-T19-R007"/>
  <param value="((cac:Party/cac:PartyTaxScheme[cac:TaxScheme/cbc:ID='VAT']/cbc:CompanyID) and (cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode) and (following::cac:AccountingCustomerParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode) and ((cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode) = (following::cac:AccountingCustomerParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode) or ((cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode) != (following::cac:AccountingCustomerParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode) and cac:Party/cac:PartyTaxScheme/cac:TaxScheme/cbc:ID='VAT' and starts-with(cac:Party/cac:PartyTaxScheme/cbc:CompanyID,cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode)))) or not((cac:Party/cac:PartyTaxScheme[cac:TaxScheme/cbc:ID='VAT']/cbc:CompanyID)) or not((cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode)) or not((following::cac:AccountingCustomerParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode))" name="EUGEN-T19-R009"/>
  <param value="(cbc:StreetName and cbc:CityName and cbc:PostalZone and cac:Country/cbc:IdentificationCode)" name="EUGEN-T19-R010"/>
  <param value="not((cac:StandardItemIdentification)) or (cac:StandardItemIdentification/cbc:ID/@schemeID)" name="EUGEN-T19-R012"/>
  <param value="(cbc:PriceAmount) &gt;=0" name="EUGEN-T19-R013"/>
  <param value="((cac:CommodityClassification/cbc:CommodityCode) and (cac:CommodityClassification/cbc:ItemClassificationCode)) or not(cac:CommodityClassification)" name="EUGEN-T19-R015"/>
  <param value="((//cac:ValidityPeriod) and (/ubl:Catalogue/cac:ValidityPeriod) and (//cac:ValidityPeriod/cbc:StartDate)&gt;(/ubl:Catalogue/cac:ValidityPeriod/cbc:StartDate) and (//cac:ValidityPeriod/cbc:EndDate)&lt;(/ubl:Catalogue/cac:ValidityPeriod/cbc:EndDate)) or not(//cac:ValidityPeriod) or not(/ubl:Catalogue/cac:ValidityPeriod)" name="EUGEN-T19-R016"/>
  <param value="(cbc:Description)" name="EUGEN-T19-R017"/>
  <param value="(cac:ClassifiedTaxCategory/cbc:ID)" name="EUGEN-T19-R018"/>
  <param value="(cac:ClassifiedTaxCategory/cac:TaxScheme/cbc:ID)" name="EUGEN-T19-R019"/>
  <param value="(cac:Attachment/cbc:EmbeddedDocumentBinaryObject/@mimeCode)" name="EUGEN-T19-R020"/>
  <param value="(cbc:StreetName and cbc:CityName and cbc:PostalZone and cac:Country/cbc:IdentificationCode)" name="EUGEN-T19-R023"/>
  <param value="(not(cac:PartyIdentification/cbc:ID) and (cac:PartyName/cbc:Name)) or (cac:PartyIdentification/cbc:ID)" name="EUGEN-T19-R024"/>
  <param value="((cac:Party/cac:PartyTaxScheme[cac:TaxScheme/cbc:ID='VAT']/cbc:CompanyID) and (cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode) and (preceding::cac:AccountingSupplierParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode) and  ((cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode) = (preceding::cac:AccountingSupplierParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode) or ((cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode) != (preceding::cac:AccountingSupplierParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode) and cac:Party/cac:PartyTaxScheme/cac:TaxScheme/cbc:ID='VAT' and starts-with(cac:Party/cac:PartyTaxScheme/cbc:CompanyID,cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode)))) or not((cac:Party/cac:PartyTaxScheme[cac:TaxScheme/cbc:ID='VAT']/cbc:CompanyID)) or not((cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode)) or not((preceding::cac:AccountingSupplierParty/cac:Party/cac:PostalAddress/cac:Country/cbc:IdentificationCode))" name="EUGEN-T19-R025"/>
  <param value="(not(cbc:ID) and (cbc:ContractType)) or (cbc:ID)" name="EUGEN-T19-R027"/>
  <param value="count(cac:ReferencedContract) &lt;=1" name="EUGEN-T19-R028"/>
  <param value="(cbc:StartDate and cbc:EndDate) and not(number(translate(cbc:StartDate,'-','')) &gt; number(translate(cbc:EndDate,'-',''))) or number(translate(cbc:EndDate,'-','')) = number(translate(cbc:StartDate,'-',''))" name="EUGEN-T19-R029"/>
  <param value="(cbc:EndpointID)" name="EUGEN-T19-R030"/>
  <param value="(cbc:EndpointID)" name="EUGEN-T19-R031"/>
  <param value="((cbc:OrderableIndicator=true()) and cbc:OrderableUnit) or (cbc:OrderableIndicator=false()) or not(cbc:OrderableIndicator)" name="EUGEN-T19-R032"/>
  <param value="((cbc:MaximumOrderQuantity) and (cbc:MinimumOrderQuantity) and (number(cbc:MaximumOrderQuantity) &gt;= number(cbc:MinimumOrderQuantity))) or not(cbc:MaximumOrderQuantity) or not(cbc:MinimumOrderQuantity)" name="EUGEN-T19-R033"/>
  <param value="((cbc:MaximumQuantity) and (cbc:MinimumQuantity) and (number(cbc:MaximumQuantity) &gt;= number(cbc:MinimumQuantity))) or not(cbc:MaximumQuantity) or not(cbc:MinimumQuantity)" name="EUGEN-T19-R034"/>
  <param value="((cbc:MinimumOrderQuantity) and (cbc:MinimumOrderQuantity) &gt;=0) or not(cbc:MinimumOrderQuantity)" name="EUGEN-T19-R036"/>
  <param value="(cbc:MaximumOrderQuantity)" name="EUGEN-T19-R037"/>
  <param value="(cbc:MinimumOrderQuantity)" name="EUGEN-T19-R038"/>
  <param value="((cbc:MaximumOrderQuantity) and (cbc:MaximumOrderQuantity) &gt;=0) or not(cbc:MaximumOrderQuantity)" name="EUGEN-T19-R039"/>
  <param value="(cbc:ID)" name="EUGEN-T19-R040"/>
  <param value="(cac:SellersItemIdentification/cbc:ID)" name="EUGEN-T19-R041"/>
  <param value="((cbc:PriceAmount) and (cbc:BaseQuantity)) or not (cbc:PriceAmount)" name="EUGEN-T19-R042"/>
  <param value="//cac:CatalogueLine" name="Catalogue_Line"/>
  <param value="//cac:ValidityPeriod" name="Catalogue_validity_period"/>
  <param value="//cac:ReceiverParty" name="Catalogue_receiver_party"/>
  <param value="//cac:ProviderParty" name="Catalogue_provider_party"/>
  <param value="/ubl:Catalogue" name="Catalogue"/>
  <param value="//cac:SellerSupplierParty/cac:Party/cac:Contact" name="Supplier_Contact"/>
  <param value="//cac:SellerSupplierParty/cac:Party" name="Supplier"/>
  <param value="//cac:SellerSupplierParty/cac:Party/cac:PostalAddress" name="Seller_Address"/>
  <param value="//cac:AdditionalItemProperty" name="Item_Property"/>
  <param value="//cac:DocumentReference" name="Document_Reference"/>
  <param value="//cac:ContractorCustomerParty/cac:Party/cac:PostalAddress" name="Customer_Address"/>
  <param value="//cac:ContractorCustomerParty/cac:Party" name="Customer"/>
  <param value="//cac:ReferencedContract" name="Contract"/>
  <param value="//cac:Party" name="Party"/>
  <param value="//cac:RequiredItemLocationQuantity/cac:Price" name="Item_Price"/>
  <param value="//cac:RequiredItemLocationQuantity" name="Item_Location_Price"/>
  <param value="//cac:Item" name="Item"/>
</pattern><?DSDL_INCLUDE_END UBL/EUGEN-UBL-T19.sch?>
</schema>